NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Mechatronics::CollisionBodyBuilder Class Reference

Represents a NXOpen::Mechatronics::CollisionBodyBuilder . More...

Inheritance diagram for NXOpen::Mechatronics::CollisionBodyBuilder:
NXOpen::Mechatronics::CollisionShapeBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  CollisionShapeTypes {
  CollisionShapeTypesBox, CollisionShapeTypesSphere, CollisionShapeTypesCylinder, CollisionShapeTypesCapsule,
  CollisionShapeTypesConvex, CollisionShapeTypesMultiConvex, CollisionShapeTypesMesh
}
 the collide shape types. More...
 
enum  ShapePropertyTypes { ShapePropertyTypesAutomatic, ShapePropertyTypesUserDefined }
 the shape calculation option. More...
 

Public Member Functions

void CalculateConvex ()
 The convex of the collide. More...
 
void CalculateMesh ()
 The mesh of the collide. More...
 
void CalculateMultiConvex ()
 The multi-convex of the collide. More...
 
int Category ()
 Returns the category. More...
 
double CollisionFactor ()
 Returns the collision factor. More...
 
NXOpen::Mechatronics::CollisionMaterialCollisionMaterial ()
 Returns the material. More...
 
NXOpen::Mechatronics::CollisionBodyBuilder::ShapePropertyTypes CollisionProperties ()
 Returns the shape option. More...
 
NXOpen::Mechatronics::CollisionBodyBuilder::CollisionShapeTypes CollisionShape ()
 Returns the shape type. More...
 
NXOpen::SelectNXObjectListGeometry ()
 Returns the geometries. More...
 
bool HighlightOnCollision ()
 Returns the highlight on collision. More...
 
NXString Name ()
 Returns the name. More...
 
void SetCategory (int category)
 Sets the category. More...
 
void SetCollisionFactor (double factor)
 Sets the collision factor. More...
 
void SetCollisionMaterial (NXOpen::Mechatronics::CollisionMaterial *collisionMaterial)
 Sets the material. More...
 
void SetCollisionProperties (NXOpen::Mechatronics::CollisionBodyBuilder::ShapePropertyTypes collisionProperties)
 Sets the shape option. More...
 
void SetCollisionShape (NXOpen::Mechatronics::CollisionBodyBuilder::CollisionShapeTypes collisionShape)
 Sets the shape type. More...
 
void SetGeometry (const std::vector< NXOpen::NXObject * > &geometries)
 Sets the geometry
Created in NX7.5.1. More...
 
void SetHighlightOnCollision (bool highlight)
 Sets the highlight on collision. More...
 
void SetName (const NXString &name)
 Sets the name. More...
 
void SetName (const char *name)
 Sets the name. More...
 
void SetStickCollision (bool stickCollision)
 Sets the option for stick when collision. More...
 
bool StickCollision ()
 Returns the option for stick when collision. More...
 
- Public Member Functions inherited from NXOpen::Mechatronics::CollisionShapeBuilder
NXOpen::PointCenterPoint ()
 Returns the center point. More...
 
NXOpen::ExpressionHeight ()
 Returns the height. More...
 
NXOpen::ExpressionLength ()
 Returns the length. More...
 
NXOpen::CoordinateSystemOrientation ()
 Returns the orientation. More...
 
NXOpen::ExpressionRadius ()
 Returns the radius. More...
 
void SetCenterPoint (NXOpen::Point *centerPoint)
 Sets the center point. More...
 
void SetOrientation (NXOpen::CoordinateSystem *orientation)
 Sets the orientation. More...
 
NXOpen::ExpressionWidth ()
 Returns the width. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Mechatronics::CollisionBodyBuilder .


To create a new instance of this class, use NXOpen::Mechatronics::CollisionBodyCollection::CreateCollisionBodyBuilder

Created in NX7.5.1.

Member Enumeration Documentation

the collide shape types.

Enumerator
CollisionShapeTypesBox 

Box.

CollisionShapeTypesSphere 

Sphere.

CollisionShapeTypesCylinder 

Cylinder.

CollisionShapeTypesCapsule 

Capsule.

CollisionShapeTypesConvex 

Convex.

CollisionShapeTypesMultiConvex 

Multi-Convex.

CollisionShapeTypesMesh 

Mesh.

the shape calculation option.

Enumerator
ShapePropertyTypesAutomatic 

automatic

ShapePropertyTypesUserDefined 

user defined

Member Function Documentation

void NXOpen::Mechatronics::CollisionBodyBuilder::CalculateConvex ( )

The convex of the collide.

Call this function to generate convex when NXOpen::Mechatronics::CollisionBodyBuilder::CollisionShapeTypes is set to NXOpen::Mechatronics::CollisionBodyBuilder::CollisionShapeTypesConvex .
Created in NX7.5.1.

License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

void NXOpen::Mechatronics::CollisionBodyBuilder::CalculateMesh ( )

The mesh of the collide.

Call this function to generate mesh when NXOpen::Mechatronics::CollisionBodyBuilder::CollisionShapeTypes is set to NXOpen::Mechatronics::CollisionBodyBuilder::CollisionShapeTypesMesh .
Created in NX9.0.0.

License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

void NXOpen::Mechatronics::CollisionBodyBuilder::CalculateMultiConvex ( )

The multi-convex of the collide.

Call this function to generate multi-convex when NXOpen::Mechatronics::CollisionBodyBuilder::CollisionShapeTypes is set to NXOpen::Mechatronics::CollisionBodyBuilder::CollisionShapeTypesMultiConvex .
Created in NX9.0.0.

License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

int NXOpen::Mechatronics::CollisionBodyBuilder::Category ( )

Returns the category.

It should be between 0 and 16.
Created in NX7.5.1.

License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

double NXOpen::Mechatronics::CollisionBodyBuilder::CollisionFactor ( )

Returns the collision factor.

It should be between 0 and 1.0.
Created in NX9.0.0.

License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

NXOpen::Mechatronics::CollisionMaterial* NXOpen::Mechatronics::CollisionBodyBuilder::CollisionMaterial ( )

Returns the material.

This can be a NXOpen::Mechatronics::CollisionMaterial .
Created in NX7.5.1.

License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

NXOpen::Mechatronics::CollisionBodyBuilder::ShapePropertyTypes NXOpen::Mechatronics::CollisionBodyBuilder::CollisionProperties ( )

Returns the shape option.


Created in NX7.5.1.

License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

NXOpen::Mechatronics::CollisionBodyBuilder::CollisionShapeTypes NXOpen::Mechatronics::CollisionBodyBuilder::CollisionShape ( )

Returns the shape type.


Created in NX7.5.1.

License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

NXOpen::SelectNXObjectList* NXOpen::Mechatronics::CollisionBodyBuilder::Geometry ( )

Returns the geometries.

This can be a NXOpen::Assemblies::ComponentAssembly , NXOpen::Point NXOpen::Face , NXOpen::Edge , bodies and curves.
Created in NX7.5.1.

License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

bool NXOpen::Mechatronics::CollisionBodyBuilder::HighlightOnCollision ( )

Returns the highlight on collision.


Created in NX9.0.0.

License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

NXString NXOpen::Mechatronics::CollisionBodyBuilder::Name ( )

Returns the name.


Created in NX7.5.1.

License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

void NXOpen::Mechatronics::CollisionBodyBuilder::SetCategory ( int  category)

Sets the category.

It should be between 0 and 16.
Created in NX7.5.1.

License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

Parameters
categorycategory
void NXOpen::Mechatronics::CollisionBodyBuilder::SetCollisionFactor ( double  factor)

Sets the collision factor.

It should be between 0 and 1.0.
Created in NX9.0.0.

License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

Parameters
factorfactor
void NXOpen::Mechatronics::CollisionBodyBuilder::SetCollisionMaterial ( NXOpen::Mechatronics::CollisionMaterial collisionMaterial)

Sets the material.

This can be a NXOpen::Mechatronics::CollisionMaterial .
Created in NX7.5.1.

License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

Parameters
collisionMaterialcollisionmaterial
void NXOpen::Mechatronics::CollisionBodyBuilder::SetCollisionProperties ( NXOpen::Mechatronics::CollisionBodyBuilder::ShapePropertyTypes  collisionProperties)

Sets the shape option.


Created in NX7.5.1.

License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

Parameters
collisionPropertiescollisionproperties
void NXOpen::Mechatronics::CollisionBodyBuilder::SetCollisionShape ( NXOpen::Mechatronics::CollisionBodyBuilder::CollisionShapeTypes  collisionShape)

Sets the shape type.


Created in NX7.5.1.

License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

Parameters
collisionShapecollisionshape
void NXOpen::Mechatronics::CollisionBodyBuilder::SetGeometry ( const std::vector< NXOpen::NXObject * > &  geometries)

Sets the geometry
Created in NX7.5.1.



License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

Parameters
geometriesInput geometries
void NXOpen::Mechatronics::CollisionBodyBuilder::SetHighlightOnCollision ( bool  highlight)

Sets the highlight on collision.


Created in NX9.0.0.

License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

Parameters
highlighthighlight
void NXOpen::Mechatronics::CollisionBodyBuilder::SetName ( const NXString name)

Sets the name.


Created in NX7.5.1.

License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

Parameters
namename
void NXOpen::Mechatronics::CollisionBodyBuilder::SetName ( const char *  name)

Sets the name.


Created in NX7.5.1.

License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

Parameters
namename
void NXOpen::Mechatronics::CollisionBodyBuilder::SetStickCollision ( bool  stickCollision)

Sets the option for stick when collision.

If stickCollision is true, then this collision body will become sticky in the simulation.
Created in NX10.0.0.

License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")

Parameters
stickCollisionstickcollision
bool NXOpen::Mechatronics::CollisionBodyBuilder::StickCollision ( )

Returns the option for stick when collision.

If stickCollision is true, then this collision body will become sticky in the simulation.
Created in NX10.0.0.

License requirements : nx_mcd_core ("MECHATRONICS CONCEPT DESIGNER")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.